取得 Redis 叢集的憑證授權單位資訊詳細資料。
HTTP 要求
GET https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*/certificateAuthority}
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 | |
|---|---|
name |
這是必要旗標,Redis 叢集憑證授權單位資源名稱,格式為: |
要求主體
要求主體必須為空白。
回應主體
Redis 叢集憑證授權單位
如果成功,回應主體會含有以下結構的資料:
| JSON 表示法 |
|---|
{
"name": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"managedServerCa": {
object ( |
| 欄位 | |
|---|---|
name |
ID。這個範圍內資源的專屬名稱,包括專案、位置和叢集,格式為: |
| 伺服器 CA 資訊。以下是互斥欄位清單。回應中最多會設定一個欄位: | |
managedServerCa |
|
| 互斥欄位的結尾。 | |
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/redis.read-write
詳情請參閱Authentication Overview。
ManagedCertificateAuthority
| JSON 表示法 |
|---|
{
"caCerts": [
{
object ( |
| 欄位 | |
|---|---|
caCerts[] |
用於 Redis 受管理伺服器驗證的 PEM 編碼 CA 憑證鏈結 |
CertChain
| JSON 表示法 |
|---|
{ "certificates": [ string ] } |
| 欄位 | |
|---|---|
certificates[] |
構成 CA 鏈結的憑證,順序從分葉到根。 |